# binr

<!-- WARNING: THIS FILE WAS AUTOGENERATED! DO NOT EDIT! -->

## Developer Guide

### Setup

``` sh
# create conda environment
$ mamba env create -f env.yml

# update conda environment
$ mamba env update -n binr --file env.yml
```

### Install

``` sh
pip install -e .

# install from pypi
pip install binr
```

### nbdev

``` sh
# activate conda environment
$ conda activate binr

# make sure the binr package is installed in development mode
$ pip install -e .

# make changes under nbs/ directory
# ...

# compile to have changes apply to the binr package
$ nbdev_prepare
```

### Publishing

``` sh
# publish to pypi
$ nbdev_pypi

# publish to conda
$ nbdev_conda --build_args '-c conda-forge'
$ nbdev_conda --mambabuild --build_args '-c conda-forge -c dsm-72'
```

# Usage

## Installation

Install latest from the GitHub
[repository](https://github.com/dsm-72/binr):

``` sh
$ pip install git+https://github.com/dsm-72/binr.git
```

or from [conda](https://anaconda.org/dsm-72/binr)

``` sh
$ conda install -c dsm-72 binr
```

or from [pypi](https://pypi.org/project/binr/)

``` sh
$ pip install binr
```

## Documentation

Documentation can be found hosted on GitHub
[repository](https://github.com/dsm-72/binr)
[pages](https://dsm-72.github.io/binr/). Additionally you can find
package manager specific guidelines on
[conda](https://anaconda.org/dsm-72/binr) and
[pypi](https://pypi.org/project/binr/) respectively.
